using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace frilenser
{
	class Program
	{
		static void Main(string[] args)
		{
			int n = int.Parse(Console.ReadLine());
			double[] a = new double[n];
			double[] p = new double[n];
			double P;
			for(int i = 0; i < n; i++)
			{
				string[] string1 = Console.ReadLine().Split();
				a[i] = double.Parse(string1[0]);
				p[i] = double.Parse(string1[1]);
			}
			double maxporez = int.MinValue;
			for (int i = 0; i < n; i++)
			{
				P = 0;
				for (int j = 0; j < n; j++)
				{
					if (p[j] >= p[i])
					{
						P += a[j];
					}
				}
				P = P * (p[i] / 100);
				if (P > maxporez)
				{
					maxporez = P;
				}
			}
			Console.WriteLine(maxporez);
		}
	}
}